Skip to content

V1.0

Generate virtual try-on experiences for nail polish and press-on nails from uploaded images using AI processing.

Run an AI Nail Vto task.

Request

This endpoint initiates the nail virtual try-on process. You must provide source file(s) and reference image(s) (via URL or File ID), along with specific nail effect configurations. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
versionstringrequired

Version of the nail effect specification. Defaults to "1.0" unless otherwise specified.

Default:"1.0"
Example:"1.0"
effect_typestringrequired
Enum:"nail_polish""press_on_nails"
Example:"nail_polish"
effectsArray of anyrequired
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
ref_file_urlsArray of strings, non-empty
POST
/s2s/v2.0/task/nail-vto
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/nail-vto \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_urls": [
      "https://example.com/accessory.jpg"
    ],
    "version": "1.0",
    "effect_type": "nail_polish",
    "effects": [
      {
        "sub_type": "color",
        "finger": "thumb",
        "color": "string",
        "texture": "matte",
        "reflection": 100,
        "contrast": 100,
        "roughness": 100,
        "transparency": 100
      }
    ]
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }